## newbiedoc 0.5.0

=== Makefile ===

SOURCE_DIR=$(PWD)
BUILDER=$(SOURCE_DIR)/metatools/make_archive-sgmltools.sh
HTML_DSSSL=$(SOURCE_DIR)/metatools/newbiedoc-html-test.dsl

# The := is for immediate evaluation, as we'll be moving a bit
# in some directories...
NEWBIEDOC_VERSION:=newbiedoc-$(shell ls CURRENT_VERSION*  | sed 's/CURRENT_VERSION_IS_//')
TEMP_TAR_FILE=$(NEWBIEDOC_VERSION).tar.gz
SHORT_SOURCE_DIR=`basename $(PWD)`

HTML_DIR=newbiedoc-html
PS_DIR=newbiedoc-ps

test:
	@echo $(NEWBIEDOC_VERSION)
	@cd .. &&  echo $(NEWBIEDOC_VERSION)
all: html ps

html-dist:
	$(BUILDER) $(TEMP_TAR_FILE) $(SOURCE_DIR) html $(HTML_DSSSL)
	mv $(TEMP_TAR_FILE) $(NEWBIEDOC_VERSION)-html.tar.gz

html: html-dist
#	$(BUILDER) $(TEMP_TAR_FILE) $(SOURCE_DIR) html $(HTML_DSSSL)
	tar zxvf $(NEWBIEDOC_VERSION)-html.tar.gz
#	tar zxvf $(TEMP_TAR_FILE)
#	rm $(TEMP_TAR_FILE)

ps-dist:
	$(BUILDER) $(TEMP_TAR_FILE) $(SOURCE_DIR) ps 
	mv $(TEMP_TAR_FILE) $(NEWBIEDOC_VERSION)-ps.tar.gz
ps: ps-dist
#	$(BUILDER) $(TEMP_TAR_FILE) $(SOURCE_DIR) ps
	tar zxvf $(NEWBIEDOC_VERSION)-ps.tar.gz
#	rm $(TEMP_TAR_FILE)
	
dist:
	-cd .. && ln -s $(SHORT_SOURCE_DIR) $(NEWBIEDOC_VERSION)
	cd .. && tar zhcvf $(NEWBIEDOC_VERSION).tar.gz --exclude CVS $(NEWBIEDOC_VERSION)

install:
	
clean distclean:
	-rm -rf $(HTML_DIR)
	-rm -rf $(PS_DIR)
	-find . -name '*.html' -print | xargs rm
	-find . -name '*~' -print | xargs rm

## newbiedoc 0.6.0

=== Makefile ===
--- 
+++ 
@@ -12,9 +12,6 @@
 HTML_DIR=newbiedoc-html
 PS_DIR=newbiedoc-ps
 
-test:
-	@echo $(NEWBIEDOC_VERSION)
-	@cd .. &&  echo $(NEWBIEDOC_VERSION)
 all: html ps
 
 html-dist:

## newbiedoc 0.7.0

=== Makefile ===
# Makefile for creating newbiedoc package
# Copyright 2007 Chris Lale.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

install:
	install -d $(DESTDIR)/usr/share/doc/newbiedoc/newbiedoc.berlios.de
	install -d $(DESTDIR)/usr/share/doc/newbiedoc/newbiedoc.berlios.de/images
	install -d $(DESTDIR)/usr/share/doc/newbiedoc/newbiedoc.berlios.de/wiki
	cp -aR newbiedoc.berlios.de/* $(DESTDIR)/usr/share/doc/newbiedoc/newbiedoc.berlios.de
	cp newbiedoc $(DESTDIR)/usr/bin
	
uninstall:
	rm -r $(DESTDIR)/usr/share/doc/newbiedoc/
	rm $(DESTDIR)/usr/bin/newbiedoc

all:
	# Invoke the download, and modify scripts and find to download
	# and modify pages from the NewbieDOC wiki and construct a stand-alone
	# non-interactive website from them.
	#
	# Download wiki pages and linked files, eg images.
	./download
	
	# Find the wiki pages and convert them to standalone html	
	# and remove original unconverted wiki pages
	./createweb

## newbiedoc 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
 # Makefile for creating newbiedoc package
-# Copyright 2007 Chris Lale.
+#
+# Version 0.8
+# Copyright 2007-2009 Chris Lale.
+# chrislale@users.berlios.de
 #
 #    This program is free software: you can redistribute it and/or modify
 #    it under the terms of the GNU General Public License as published by
@@ -20,6 +23,7 @@
 	install -d $(DESTDIR)/usr/share/doc/newbiedoc/newbiedoc.berlios.de/wiki
 	cp -aR newbiedoc.berlios.de/* $(DESTDIR)/usr/share/doc/newbiedoc/newbiedoc.berlios.de
 	cp newbiedoc $(DESTDIR)/usr/bin
+	cp newbiedoc-icon.png $(DESTDIR)/usr/share/doc/newbiedoc/newbiedoc.berlios.de/images
 	
 uninstall:
 	rm -r $(DESTDIR)/usr/share/doc/newbiedoc/

=== debian/changelog ===
newbiedoc (0.8.0-2) unstable; urgency=low

  * Debian Maintainer's email address changed.
  * Package description format fixed (Closes: #621748).
  * Updated Standard-Version to 3.9.2.
  * Added description and metadata to patch.
  * Removed dh_make template from watch file.
  * Added debian source format and removed unneeded quilt references.
  * Added recommended targets for porting scripts.
  * Fixed Debian copyrhight to fit policy rules.

 -- Vanessa Gutierrez <vanecgs@gmail.com>  Tue, 19 Jul 2011 17:29:58 -0300

newbiedoc (0.8.0-1) unstable; urgency=low

  * New upstream release

 -- Vanessa Gutiérrez <vanecgs@debian.org.ve>  Sun, 06 Dec 2009 19:31:52 -0430

newbiedoc (0.7.0-1) unstable; urgency=low

  * New maintainer. (Closes: #336974, #462280)
  * New upstream version. New directories and files structure
  * Updated Standards-Version to 3.7.3
  * debian/copyright is filled with more information about the package
  * Newbiedoc script came clean after checkbashisms check (Closes: #465012)
  * SGML files no longer exists in new version (Closes: #459117)
  * Added call to dh_clean for clean target in debian/rules (Closes: #451059)
  * Added patch fix_references (Closes: #194569)
  * Added french man translation. Thanks to Julien Louis (Closes: #18371)

 -- Vanessa Gutiérrez <vanecgs@debian.org.ve>  Tue, 22 Apr 2008 11:59:59 -0430

newbiedoc (0.6.0-3) unstable; urgency=low

  * QA upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359540).
  * Fix index.sgml (Closes: #169334).
  * Use sensible-browser in the newbiedoc script (Closes: #225749, #360198).
  * Fix system/runlevels-intro.sgml (Closes: #223503).
  * Upgraded Standards-Version.
  * Upgraded DH_COMPAT to 4 (also build-depending on debhelper 4 now).
  * Get rid of newbiedoc-0.6.0-html.tar.gz and newbiedoc-0.6.0-ps.tar.gz
    in the clean target.
  * Get rid of debian/files.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 16 Jul 2006 15:29:39 +0200

newbiedoc (0.6.0-2) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/rules: add call to dh_compress
  * debian/control: convert Build-Depends to Build-Depends-Indep

 -- Andrew Pollock <apollock@debian.org>  Tue, 28 Mar 2006 20:20:55 -0800

newbiedoc (0.6.0-1) unstable; urgency=low

  * New upstream release

  * Moved to the 'help' doc-base section instead of 'doc', let's stay
      consistent with the menu thingy (Closes: #153406).

  * Let's really close those NMUs which weren't NMUs but were tagged so
      (Romain Lerallut <romain@debian.org> != <romain@debian.org>, go
      figure...) (Closes: #117648,#130351,#130681).

 -- Romain Lerallut <romain@debian.org>  Tue, 23 Jul 2002 23:15:06 +0200

newbiedoc (0.5.0-3) unstable; urgency=low

  * make clean won't fail anymore when removing inexistent files (Closes: #133975)
  * newbiedoc(1) should behave a bit nicer
  

 -- Romain Lerallut <romain@debian.org>  Fri, 15 Feb 2002 00:05:06 +0100

newbiedoc (0.5.0-2) unstable; urgency=low

  * bloody typo came back up: fixed doc-install file (Closes: #130885)

 -- Romain Lerallut <romain@debian.org>  Sat, 26 Jan 2002 09:47:41 +0100

newbiedoc (0.5.0-1) unstable; urgency=low

  * new upstream release:
  * added the -j option for uncompressing .bz2 tar archives in kernel doc
    (Closes: #130351)
  * new docs: vim and hardware

 -- Romain Lerallut <romain@debian.org>  Wed, 23 Jan 2002 18:22:54 +0100

newbiedoc (0.4.0-3) unstable; urgency=low

  * bloody typo in changelog: fixed doc-install file (Closes: #117648).

 -- Romain Lerallut <romain@debian.org>  Wed, 31 Oct 2001 00:45:55 +0100

newbiedoc (0.4.0-2) unstable; urgency=low

  * fixed doc-install file, newbiedoc-hmtl instead of HMTL (Closes #117648).

 -- Romain Lerallut <romain@debian.org>  Tue, 30 Oct 2001 14:29:10 +0100

newbiedoc (0.4.0) unstable; urgency=low

  * new upstream version: new packaging scheme
  * fixed problem with hyperlinks from index.html

 -- Romain Lerallut <romain@debian.org>  Mon, 29 Oct 2001 13:25:41 +0100

newbiedoc (0.3.1-1) unstable; urgency=low

  * new upstream version: added a fetchmail doc

 -- Romain Lerallut <romain@debian.org>  Fri, 5 Oct 2001 20:05:35 +0200

newbiedoc (0.3.0-1) unstable; urgency=low

  * new upstream version: added an exim doc
  * added /usr/bin/newbiedoc to start a browser 
  
 -- Romain Lerallut <romain@debian.org>  Thu, 16 Sep 2001 21:24:10 +0200

newbiedoc (0.2.1-2) unstable; urgency=low

  * added a newbiedoc script to start a browser with the doc
  * changed my email address 

 -- Romain Lerallut <romain@debian.org>  Thu, 6 Sep 2001 22:42:15 +0200

newbiedoc (0.2.1-1) unstable; urgency=low

  * Initial Release.

 -- Romain Lerallut <rlerallut@free.fr>  Tue, 10 Jul 2001 08:09:39 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: newbiedoc
Section: doc
Priority: optional
Maintainer: Vanessa Gutierrez <vanecgs@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.2

Package: newbiedoc
Architecture: all
Depends: ${misc:Depends} 
Suggests: www-browser
Homepage: http://developer.berlios.de/projects/newbiedoc/
Description: Debian documentation FOR newbies BY newbies
 This is a snapshot of the documentation currently
 being developed by the Debian NewbieDOC project. See
 http://newbiedoc.berlios.de for the most recent versions, or
 if you wish to contribute eg by writing or editing articles.
 .
 Current release includes:
    * Help installing Debian GNU/Linux
    * Help installing software in Debian GNU/Linux
    * Help managing a Debian system
    * Help with network and internet
    * Help with multimedia in Debian
    * Help with printing
    * Help with programming
 .
 The documentation will be installed in /usr/share/doc/newbiedoc,
 and newbiedoc(1) is a script that starts a browser on the
 newbiedoc collection.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	
	touch $@

	dh_clean build-stamp
clean:  
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs usr/share/pixmaps

	# Add here commands to install the package into debian/newbiedoc.
	$(MAKE) DESTDIR=$(CURDIR)/debian/newbiedoc install
	dh_install debian/newbiedoc-icon.xpm usr/share/pixmaps


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

binary-arch:

# Build architecture-dependent files here.
binary-arch-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog.source
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch-indep
.PHONY: build clean binary-indep binary-arch-indep binary install configure

=== debian/watch ===
version=3
http://download2.berlios.de/newbiedoc/newbiedoc-(.*)\.tar\.gz
